org.jfree.data.time

## Class TimePeriodAnchor

- java.lang.Object
- - org.jfree.data.time.TimePeriodAnchor

All Implemented Interfaces:
  java.io.Serializable

    public final class TimePeriodAnchor
    extends java.lang.Object
    implements java.io.Serializable

Used to indicate one of three positions in a time period: `START`, `MIDDLE` and `END`.

See Also:
  Serialized Form

### Field Summary

Fields
`static TimePeriodAnchor` `END` End of period.
`static TimePeriodAnchor` `MIDDLE` Middle of period.
`static TimePeriodAnchor` `START` Start of period.

### Method Summary

Methods
`boolean` `equals(java.lang.Object obj)` Returns `true` if this object is equal to the specified object, and `false` otherwise.
`int` `hashCode()` Returns a hash code value for the object.
`java.lang.String` `toString()` Returns a string representing the object.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### START

    public static final TimePeriodAnchor START

Start of period.

#### MIDDLE

    public static final TimePeriodAnchor MIDDLE

Middle of period.

#### END

    public static final TimePeriodAnchor END

End of period.

### Method Detail

#### toString

    public java.lang.String toString()

Returns a string representing the object.

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  The string.

#### equals

    public boolean equals(java.lang.Object obj)

Returns `true` if this object is equal to the specified object, and `false` otherwise.

Overrides:
  `equals` in class `java.lang.Object`
Parameters:
  `obj` - the other object.
Returns:
  A boolean.

#### hashCode

    public int hashCode()

Returns a hash code value for the object.

Overrides:
  `hashCode` in class `java.lang.Object`
Returns:
  The hashcode